from django.contrib import admin
from panic.models import *

class BaseRevisionAdmin(admin.ModelAdmin):
    def parent_id(self, rev):
        if rev.parent is not None:
            return rev.parent.revision_id
        else:
            return None
    parent_id.short_description='Parent id'
    list_display = ('url', 'revision_id', 'parent_id', 'created_by', 'created_date')
    list_display_links = ('revision_id', 'url')
    list_filter = ('views', 'url', 'created_by')
    
class ContentRevisionAdmin(BaseRevisionAdmin):
    pass

admin.site.register(ContentRevision, ContentRevisionAdmin)

class RedirectRevisionAdmin(BaseRevisionAdmin):
    list_display = ('url', 'redirect_url', 'revision_id', 'parent_id', 'created_by', 'created_date')
    
admin.site.register(RedirectRevision, RedirectRevisionAdmin)


class SiteViewAdmin(admin.ModelAdmin):
    list_display = ('name', 'parent', 'read_only', 'obsolete')
    list_display_links = ('name',)
    list_filter = ('parent', 'read_only', 'obsolete')
admin.site.register(SiteView, SiteViewAdmin)
