from django import forms
from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse

from panic import models

class BaseRevisionForm(forms.ModelForm):
    """ 
    a form to create/update a Revision
    """
    class Meta:
        model = models.Revision
        exclude = ('parent', 'created_by', 'created_date')


class ContentRevisionForm(BaseRevisionForm):
    """ 
    a form to create/update a TeamEvent
    """
    class Meta(BaseRevisionForm.Meta):
        model = models.ContentRevision


class RedirectRevisionForm(BaseRevisionForm):
    """ 
    a form to create/update a TeamEvent
    """
    class Meta(BaseRevisionForm.Meta):
        model = models.RedirectRevision

class BranchForm(forms.ModelForm):

    class Meta:
        model = models.SiteView
        exclude = ('pages', 'read_only', 'obsolete')

    def __init__(self, *args, **kargs):
        if 'parent' in kargs and not 'instance' in kargs:
            parent = kargs['parent']
            del kargs['parent']
            kargs['instance'] = models.SiteView(name='', parent=parent)
        super(BranchForm, self).__init__(*args, **kargs)
        self.parent = parent
